NXOpen .NET Reference Guide  1899
 All Classes Namespaces Functions Variables Enumerations Enumerator Properties
Public Member Functions | Properties | List of all members
NXOpen.Routing.LinearPathBuilder Class Reference

Builder for creating routing linear paths. More...

Inheritance diagram for NXOpen.Routing.LinearPathBuilder:
NXOpen.Builder NXOpen.TaggedObject NXOpen.GeometricUtilities.IComponentBuilder NXOpen.Utilities.NXRemotableObject IMessageSink

Public Member Functions

unsafe NXOpen.Routing.ControlPoint AddPreviewControlPoint (NXOpen.Point3d location)
 Add a new control point to the path. More...
 
unsafe NXOpen.Routing.ControlPoint GetLastControlPoint ()
 Returns the last control point in the path. More...
 
unsafe NXOpen.Routing.ISegment GetParentSegmentOfEccentricSegment ()
 Parent segment More...
 
unsafe void RemoveLastNonPreviewControlPoint ()
 Removes the last fully-defined control point in the path. More...
 
unsafe void SetControlPointDefiningObject (NXOpen.Routing.ControlPoint previewRcp, NXOpen.Point3d position, NXOpen.NXObject @object)
 Fully defines a preview control point. More...
 
unsafe void SetControlPointDefiningPoint (NXOpen.Routing.ControlPoint previewRcp, NXOpen.Point point)
 Fully defines a preview control point using the given point. More...
 
unsafe void SetIsEccentricModeSelected (bool isEccentricModeSelected)
 Set the boolean value specifies that Eccentric mode selected or not More...
 
unsafe void SetIsNewControlPointRequired (bool isNewControlPointRequired)
 Set the boolean value specifies that new control point required or not More...
 
unsafe void SetParentSegmentOfEccentricSegment (NXOpen.Routing.ISegment parentSegment)
  More...
 
unsafe void SettingChanged ()
 Notifies the builder that some routing preferences have changed, and that the builder (and it's associated builders) must update their values to refelect those changes. More...
 
- Public Member Functions inherited from NXOpen.Builder
unsafe NXOpen.NXObject Commit ()
 Commits any edits that have been applied to the builder. More...
 
unsafe void Destroy ()
 Deletes the builder, and cleans up any objects created by the builder. More...
 
unsafe NXOpen.NXObject[] GetCommittedObjects ()
 For builders that create more than one object, this method returns the objects that are created by commit. More...
 
unsafe NXOpen.NXObject GetObject ()
 Returns the object currently being edited by this builder. More...
 
unsafe void ShowResults ()
 Updates the model to reflect the result of an edit to the model for all builders that support showing results. More...
 
unsafe bool Validate ()
 Validate whether the inputs to the component are sufficient for commit to be called. More...
 
- Public Member Functions inherited from NXOpen.TaggedObject
void PrintTestData (String variableName)
 <exclude> More...
 
void PrintTestData (String variableName, int lineNumber)
 <exclude> More...
 
override string ToString ()
 Returns a String that represents the current Object. More...
 
- Public Member Functions inherited from NXOpen.Utilities.NXRemotableObject
IMessageCtrl AsyncProcessMessage (IMessage msg, IMessageSink replySink)
 Asynchronously processes the given message. More...
 
IMessage SyncProcessMessage (IMessage msg)
 Synchronously processes the given message. More...
 

Properties

unsafe
NXOpen.Routing.ElbowSnapSettings 
ElbowSnapSettings [get, set]
 Returns or sets the elbow snapping settings for determining location of control points as the user drags their mouse. More...
 
unsafe
NXOpen.Routing.LinearPathSettings 
LinearPathSettings [get, set]
 Returns or sets the settings that determine what constraints to apply to the new path. More...
 
unsafe
NXOpen.Routing.PathStockBuilder 
PathStockBuilder [get, set]
 Returns or sets the builder for assigning stock to the new path. More...
 
- Properties inherited from NXOpen.Builder
unsafe NXOpen.PreviewBuilder PreviewBuilder [get]
 Returns the preview builder subobject. More...
 
- Properties inherited from NXOpen.TaggedObject
Tag Tag [get]
 Returns the tag of this object. More...
 
- Properties inherited from NXOpen.Utilities.NXRemotableObject
IMessageSink NextSink [get]
 Gets the next message sink in the sink chain. More...
 

Additional Inherited Members

- Protected Member Functions inherited from NXOpen.TaggedObject
new void initialize ()
 <exclude> More...
 

Detailed Description

Builder for creating routing linear paths.

These paths can include constrained line segments, bend corners and elbows. This fuctionality can only be used with the Assemblies Positioning functionality. The work part must have been converted to use Assemblies Positioning using the Convert Mating Conditions tool.

To create a control point (and it's associated segment) first create a preview control point, then define the control point using either a smart point (Routing.LinearPathBuilder.SetControlPointDefiningPoint ), or some other object (Routing.LinearPathBuilder.SetControlPointDefiningObject ).

To create a new instance of this class, use NXOpen.Routing.RouteManager.CreateLinearPathBuilder

Default values.

Property Value

ElbowSnapSettings.AngleTolerance

5.0

ElbowSnapSettings.SnapToElbowAngles

True

LinearPathSettings.LockToSelectedObject

True

Created in NX5.0.0

Member Function Documentation

unsafe NXOpen.Routing.ControlPoint NXOpen.Routing.LinearPathBuilder.AddPreviewControlPoint ( NXOpen.Point3d  location)
inline

Add a new control point to the path.

This control point is considered to be a preview control point to show what the path will look like interactively. This control point will be deleted when the commit method is invoked unless the rcp has been fully defined.

Created in NX5.0.0

License requirements: routing_base ("Routing Basic")

Parameters
location
Returns
Preview control point, will be a null reference (Nothing in Visual Basic) if there is already a control point at the given location.
unsafe NXOpen.Routing.ControlPoint NXOpen.Routing.LinearPathBuilder.GetLastControlPoint ( )
inline

Returns the last control point in the path.

Created in NX6.0.0

License requirements: routing_base ("Routing Basic")

Returns
unsafe NXOpen.Routing.ISegment NXOpen.Routing.LinearPathBuilder.GetParentSegmentOfEccentricSegment ( )
inline

Parent segment

Created in NX8.0.0

License requirements: routing_base ("Routing Basic")

Returns
unsafe void NXOpen.Routing.LinearPathBuilder.RemoveLastNonPreviewControlPoint ( )
inline

Removes the last fully-defined control point in the path.

Also removes any preview control points.

Created in NX5.0.0

License requirements: routing_base ("Routing Basic")

unsafe void NXOpen.Routing.LinearPathBuilder.SetControlPointDefiningObject ( NXOpen.Routing.ControlPoint  previewRcp,
NXOpen.Point3d  position,
NXOpen.NXObject object 
)
inline

Fully defines a preview control point.

The preview control point's location is set to the given position, and the control point is constrained to the given object (depending on the linear path settings).

A control point may only be defined once.

Created in NX5.0.0

License requirements: routing_base ("Routing Basic")

Parameters
previewRcpMust be a control point created by Routing.LinearPathBuilder.AddPreviewControlPoint
position
objecta null reference (Nothing in Visual Basic) allowed.
unsafe void NXOpen.Routing.LinearPathBuilder.SetControlPointDefiningPoint ( NXOpen.Routing.ControlPoint  previewRcp,
NXOpen.Point  point 
)
inline

Fully defines a preview control point using the given point.

The control point is not made associative directly to the input point. The control point is made associative (depending on the linear path settings) to the objects that the input point is associative to.

A control point may only be defined once.

Created in NX5.0.0

License requirements: routing_base ("Routing Basic")

Parameters
previewRcpMust be a control point created by Routing.LinearPathBuilder.AddPreviewControlPoint
pointa null reference (Nothing in Visual Basic) not allowed.
unsafe void NXOpen.Routing.LinearPathBuilder.SetIsEccentricModeSelected ( bool  isEccentricModeSelected)
inline

Set the boolean value specifies that Eccentric mode selected or not

Created in NX8.0.0

License requirements: routing_base ("Routing Basic")

Parameters
isEccentricModeSelected
unsafe void NXOpen.Routing.LinearPathBuilder.SetIsNewControlPointRequired ( bool  isNewControlPointRequired)
inline

Set the boolean value specifies that new control point required or not

Created in NX8.0.0

License requirements: routing_base ("Routing Basic")

Parameters
isNewControlPointRequired
unsafe void NXOpen.Routing.LinearPathBuilder.SetParentSegmentOfEccentricSegment ( NXOpen.Routing.ISegment  parentSegment)
inline

Created in NX8.0.0

License requirements: routing_base ("Routing Basic")

Parameters
parentSegment
unsafe void NXOpen.Routing.LinearPathBuilder.SettingChanged ( )
inline

Notifies the builder that some routing preferences have changed, and that the builder (and it's associated builders) must update their values to refelect those changes.

Created in NX5.0.0

License requirements: routing_base ("Routing Basic")

Property Documentation

unsafe NXOpen.Routing.ElbowSnapSettings NXOpen.Routing.LinearPathBuilder.ElbowSnapSettings
getset

Returns or sets the elbow snapping settings for determining location of control points as the user drags their mouse.

Only useful in the UI.

Created in NX5.0.0

License requirements to get this property: routing_base ("Routing Basic")

License requirements to set this property: routing_base ("Routing Basic")

unsafe NXOpen.Routing.LinearPathSettings NXOpen.Routing.LinearPathBuilder.LinearPathSettings
getset

Returns or sets the settings that determine what constraints to apply to the new path.

Created in NX5.0.0

License requirements to get this property: routing_base ("Routing Basic")

License requirements to set this property: routing_base ("Routing Basic")

unsafe NXOpen.Routing.PathStockBuilder NXOpen.Routing.LinearPathBuilder.PathStockBuilder
getset

Returns or sets the builder for assigning stock to the new path.

Created in NX5.0.0

License requirements to get this property: routing_base ("Routing Basic")

License requirements to set this property: routing_base ("Routing Basic")


The documentation for this class was generated from the following file:
Copyright 2019 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.